### Class

# WebKitWebProcessExtension WebPage

#### Description [src]

    final class WebKitWebProcessExtension.WebPage : GObject.Object
    {
      /* No available fields */
    }

A loaded web page.

#### Ancestors

- GObject

#### Instance methods

###### webkit_web_page_get_editor

Gets the `WebKitWebEditor` of a `WebKitWebPage`.

since: 2.10

###### webkit_web_page_get_form_manager

Get the `WebKitWebFormManager` of `web_page` in `world`.

since: 2.40

###### webkit_web_page_get_id

Get the identifier of the `WebKitWebPage`.

###### webkit_web_page_get_main_frame

Returns the main frame of a `WebKitWebPage`.

deprecated: 2.48 since: 2.2

###### webkit_web_page_get_uri

Returns the current active URI of `web_page`.

###### webkit_web_page_send_message_to_view

Send `message` to the `WebKitWebView` corresponding to `web_page`. If `message` is floating, it’s consumed.

since: 2.28

###### webkit_web_page_send_message_to_view_finish

Finish an asynchronous operation started with webkit_web_page_send_message_to_view().

since: 2.28

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKitWebProcessExtension.WebPage:uri

The current active URI of the `WebKitWebPage`.

#### Signals

###### WebKitWebProcessExtension.WebPage::console-message-sent

Emitted when a message is sent to the console. This can be a message produced by the use of JavaScript console API, a JavaScript exception, a security error or other errors, warnings, debug or log messages. The `console_message` contains information of the message.

since: 2.12

###### WebKitWebProcessExtension.WebPage::context-menu

Emitted before a context menu is displayed in the UI Process to give the application a chance to customize the proposed menu, build its own context menu or pass user data to the UI Process. This signal is useful when the information available in the UI Process is not enough to build or customize the context menu, for example, to add menu entries depending on the node at the coordinates of the `hit_test_result`. Otherwise, it’s recommended to use `WebKitWebView::context-menu` signal instead.

since: 2.8

###### WebKitWebProcessExtension.WebPage::document-loaded

This signal is emitted when the DOM document of a `WebKitWebPage` has been loaded.

###### WebKitWebProcessExtension.WebPage::send-request

This signal is emitted when `request` is about to be sent to the server. This signal can be used to modify the `WebKitURIRequest` that will be sent to the server. You can also cancel the resource load operation by connecting to this signal and returning `TRUE`.

###### WebKitWebProcessExtension.WebPage::user-message-received

This signal is emitted when a `WebKitUserMessage` is received from the `WebKitWebView` corresponding to `web_page`. You can reply to the message using webkit_user_message_send_reply().

since: 2.28

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKitWebProcessExtensionWebPageClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.